
import 'dart:async';

import 'package:flutter/services.dart';

class APMUserPropertiesUtilsModule {
  static const MethodChannel _channel = const MethodChannel('apm_user_properties_utils_module');

  static Future addUserProperties(Map properties) async {
    await _channel.invokeMethod('addUserProperties', [properties]);
  }

  static Future addUserProperty(String userProperty, String key) async {
    await _channel.invokeMethod('addUserProperty', [userProperty, key]);
  }

  static Future removeUserProperty(String key) async {
    await _channel.invokeMethod('removeUserProperty', [key]);
  }

  static Future removeUserProperties() async {
    await _channel.invokeMethod('removeUserProperties');
  }
}
